Bug 1461320 - [abrt] gnome-abrt: call_blocking(): dbus_problems.py:259:on_dbus_exception:gnome_abrt.errors.InvalidProblem: org.freedesktop.problems.InvalidProblemDir: '/var/spool/abrt/ccpp-2017-06-14-10:14:52.806946-741' is not a valid problem directory
[abrt] gnome-abrt: call_blocking(): dbus_problems.py:259:on_dbus_exception:gn...
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-abrt (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:eae309982d83d57978725df4a0e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-14 04:24 EDT by Mustafa Muhammad
Modified: 2017-06-14 04:25 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.38 KB, text/plain)
2017-06-14 04:25 EDT, Mustafa Muhammad
no flags Details
File: cgroup (289 bytes, text/plain)
2017-06-14 04:25 EDT, Mustafa Muhammad
no flags Details
File: cpuinfo (1.25 KB, text/plain)
2017-06-14 04:25 EDT, Mustafa Muhammad
no flags Details
File: environ (1.77 KB, text/plain)
2017-06-14 04:25 EDT, Mustafa Muhammad
no flags Details
File: mountinfo (3.85 KB, text/plain)
2017-06-14 04:25 EDT, Mustafa Muhammad
no flags Details
File: namespaces (102 bytes, text/plain)
2017-06-14 04:25 EDT, Mustafa Muhammad
no flags Details
File: open_fds (2.45 KB, text/plain)
2017-06-14 04:25 EDT, Mustafa Muhammad
no flags Details

  None (edit)
Description Mustafa Muhammad 2017-06-14 04:24:51 EDT
Description of problem:
Just started searching in abrt, not that this is in a Plasma wayland session

Version-Release number of selected component:
gnome-abrt-1.2.5-3.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 /usr/bin/gnome-abrt
crash_function: call_blocking
exception_type: dbus.exceptions.DBusException
executable:     /usr/bin/gnome-abrt
kernel:         4.11.4-300.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
dbus_problems.py:259:on_dbus_exception:gnome_abrt.errors.InvalidProblem: org.freedesktop.problems.InvalidProblemDir: '/var/spool/abrt/ccpp-2017-06-14-10:14:52.806946-741' is not a valid problem directory

Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/gnome_abrt/dbus_problems.py", line 164, in get_items
    problem_id, args)
  File "/usr/lib64/python3.6/site-packages/gnome_abrt/dbus_problems.py", line 123, in _send_dbus_message
    return method(self._interface, *args)
  File "/usr/lib64/python3.6/site-packages/gnome_abrt/dbus_problems.py", line 163, in <lambda>
    lambda iface, *params: iface.GetInfo(*params),
  File "/usr/lib64/python3.6/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib64/python3.6/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.problems.InvalidProblemDir: '/var/spool/abrt/ccpp-2017-06-14-10:14:52.806946-741' is not a valid problem directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/gnome_abrt/views.py", line 68, in <lambda>
    self._list_box.set_filter_func(lambda row, _: self.match(row), None)
  File "/usr/lib64/python3.6/site-packages/gnome_abrt/views.py", line 100, in match
    if problem[i] is None:
  File "/usr/lib64/python3.6/site-packages/gnome_abrt/problems.py", line 196, in __getitem__
    loaded = self.__loaditems__(item)
  File "/usr/lib64/python3.6/site-packages/gnome_abrt/problems.py", line 148, in __loaditems__
    items = self.source.get_items(self.problem_id, *args)
  File "/usr/lib64/python3.6/site-packages/gnome_abrt/dbus_problems.py", line 166, in get_items
    self._driver.on_dbus_exception(problem_id, ex)
  File "/usr/lib64/python3.6/site-packages/gnome_abrt/dbus_problems.py", line 259, in on_dbus_exception
    raise errors.InvalidProblem(problem_id, ex)
gnome_abrt.errors.InvalidProblem: org.freedesktop.problems.InvalidProblemDir: '/var/spool/abrt/ccpp-2017-06-14-10:14:52.806946-741' is not a valid problem directory

Local variables in innermost frame:
ex: DBusException("'/var/spool/abrt/ccpp-2017-06-14-10:14:52.806946-741' is not a valid problem directory",)
problem_id: '/var/spool/abrt/ccpp-2017-06-14-10:14:52.806946-741'
self: <gnome_abrt.dbus_problems.StandardProblems object at 0x7f2880378c18>
Comment 1 Mustafa Muhammad 2017-06-14 04:25:00 EDT
Created attachment 1287560 [details]
File: backtrace
Comment 2 Mustafa Muhammad 2017-06-14 04:25:03 EDT
Created attachment 1287561 [details]
File: cgroup
Comment 3 Mustafa Muhammad 2017-06-14 04:25:05 EDT
Created attachment 1287562 [details]
File: cpuinfo
Comment 4 Mustafa Muhammad 2017-06-14 04:25:08 EDT
Created attachment 1287563 [details]
File: environ
Comment 5 Mustafa Muhammad 2017-06-14 04:25:10 EDT
Created attachment 1287564 [details]
File: mountinfo
Comment 6 Mustafa Muhammad 2017-06-14 04:25:12 EDT
Created attachment 1287565 [details]
File: namespaces
Comment 7 Mustafa Muhammad 2017-06-14 04:25:14 EDT
Created attachment 1287566 [details]
File: open_fds

Note You need to log in before you can comment on or make changes to this bug.